/*
    Copyright (C) 2012 Bartosz Broda, Jacek Bochenek, Łukasz Biłeńkij, 
    Damian Jaworski, Wojciech Mazur, Dominik Piasecki, Maciej Piasecki, 
    Radosław Ramocki
    
    This program is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the Free
Software Foundation; either version 3 of the License, or (at your option)
any later version.

    This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. 

    See the LICENSE and COPYING files for more details.
*/

#ifndef WBST_QUESTION_H
#define WBST_QUESTION_H

#include "wbst_headers.h"

namespace wbst
{
	class WBSTQuestion
	{
	public:
		WBSTQuestion(const std::string &q,const std::string &a, const std::set<std::string> &decoys);
		WBSTQuestion(const std::string &line);
		WBSTQuestion(const WBSTQuestion &q);
		WBSTQuestion& operator=(const WBSTQuestion&q);

		const std::string& GetQuestion() const;
		const std::string& GetAnwser() const;
		const std::set<std::string> & GetDecoys() const;

		std::string ToString() const;

	private:
		void ParseLine(const std::string &);
		std::string m_sQuestion;
		std::string m_sCorrectAnwser;
		std::set<std::string> m_setDecoys;
	};


}//namespace wbst

#endif //WBST_QUESTION_H

